Subject: Re: [avtext] I-D Action: draft-ietf-avtext-rtp-stream-pause-05.txt

From: Emil Ivov <[email-masked]>
Date: Tue, 04 Nov 2014 02:15:06 +0100

Hey Bo,

On 28.10.14, 13:05, Bo Burman wrote:
> This version contains changes related to what I believe to be our
> common understanding so far on timing and reliability of unsolicited
> PAUSED (TMMBN=0), as discussed on this list. I think it is already
> pretty far progressed, but will need some more discussion until fully
> concluded. There are a few Editor's notes in places where I expect
> that more text may be needed.

Thanks for making the changes. I think that's already much better. Two 
remaining comments:

* It would be good to at least suggest a retransmission interval for 
unsolicited PAUSE (right now draft only talks about retransmission 
count). Given that the whole point of doing this is to get a timely 
notification, I'd suggest something like:

... delivered, unless the stream was already in paused state (Section 
6.3). In order to achieve a higher level of usefulness than receiver 
timeouts, it is RECOMMENDED/suggested that the rate of these 
retransmissions roughly matches that of the RTP packets that were 
generated by the SSRC being PAUSEd.

(or something along those lines).

* Regarding the explicit ACKs: I think performance-wise, your idea of 
using existing loss stats, provides a reasonable solution that should 
suffice in most cases. So the main reason for considering explicit ACKs 
would be to simplify (at least some) implementations. Personally I don't 
have a strong preference on this, but if we do decide to define it, then 
echo-ing the TMMBN back to its sender sounds like a simple way to 
achieve this.

Emil

> Cheers, Bo
>
>> -----Original Message----- From: I-D-Announce
>> [mailto:[email-masked]] On Behalf Of
>> [email-masked] Sent: den 28 oktober 2014 00:49 To:
>> [email-masked] Cc: [email-masked] Subject: I-D Action:
>> draft-ietf-avtext-rtp-stream-pause-05.txt
>>
>>
>> A New Internet-Draft is available from the on-line Internet-Drafts
>> directories. This draft is a work item of the Audio/Video Transport
>> Extensions Working Group of the IETF.
>>
>> Title           : RTP Stream Pause and Resume Authors         : Bo
>> Burman Azam Akram Roni Even Magnus Westerlund Filename        :
>> draft-ietf-avtext-rtp-stream-pause-05.txt Pages           : 49 Date
>> : 2014-10-27
>>
>> Abstract: With the increased popularity of real-time multimedia
>> applications, it is desirable to provide good control of resource
>> usage, and users also demand more control over communication
>> sessions.  This document describes how a receiver in a multimedia
>> conversation can pause and resume incoming data from a sender by
>> sending real-time feedback messages when using Real-time Transport
>> Protocol (RTP) for real time data transport.  This document extends
>> the Codec Control Messages (CCM) RTCP feedback package by
>> explicitly allowing and describing specific use of existing CCM
>> messages and adding a group of new real- time feedback messages
>> used to pause and resume RTP data streams. This document updates
>> RFC 5104.
>>
>>
>> The IETF datatracker status page for this draft is:
>> https://datatracker.ietf.org/doc/draft-ietf-avtext-rtp-stream-pause/
>>
>>
>>
There's also a htmlized version available at:
>> http://tools.ietf.org/html/draft-ietf-avtext-rtp-stream-pause-05
>>
>> A diff from the previous version is available at:
>> http://www.ietf.org/rfcdiff?url2=draft-ietf-avtext-rtp-stream-pause-05
>>
>>
>>
>>
Please note that it may take a couple of minutes from the time of 
submission until the htmlized version and diff are
>> available at tools.ietf.org.
>>
>> Internet-Drafts are also available by anonymous FTP at:
>> ftp://ftp.ietf.org/internet-drafts/
>>
>> _______________________________________________ I-D-Announce
>> mailing list [email-masked]
>> https://www.ietf.org/mailman/listinfo/i-d-announce Internet-Draft
>> directories: http://www.ietf.org/shadow.html or
>> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
> _______________________________________________ avtext mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/avtext
>

-- 
https://jitsi.org